{% for article in articles %}
    <div class="article-item">
        <div class="article-item__inner">
            <div class="article-item__top">
                <div class="article-item__image">
                    <a href="{{ path('articleItem', {'slug': article.slug}) }}">
                        {% if article.visualFilename is defined and article.visualFilename is not null %}
                            <img src="{{ asset('assets/uploads/images/' ~ article.visualFilename|visual) | imagine_filter('medium')}}"/>
                        {% else %}
                            <img src="{{ asset('assets/img/cup-1_5.svg') }}"/>
                        {% endif %}
                    </a>
                </div>
            </div>
            <div class="article-item__info">
                <div class="article-item__title"><a href="{{ path('articleItem', {'slug': article.slug}) }}">{{ article.title }}</a></div>
                <div class="article-item__description"><a href="{{ path('articleItem', {'slug': article.slug}) }}">{{ article.description }}</a></div>
            </div>
        </div>
    </div>
{% endfor %}